const path = require('path')

module.exports = {
  authsome: {
    mode: path.resolve(__dirname, 'authsome-mode.js'),
    teams: {
      handlingEditor: {
        name: 'Handling Editors',
      },
      reviewer: {
        name: 'Reviewer',
      },
    },
  },
  mailer: {
    from: 'test@example.com',
  },
  'invite-reset-password': {
    url:
      process.env.PUBSWEET_INVITE_PASSWORD_RESET_URL ||
      'http://localhost:3000/invite',
  },
  roles: {
    global: ['admin', 'editorInChief', 'author', 'handlingEditor'],
    collection: ['handlingEditor', 'reviewer', 'author'],
    inviteRights: {
      admin: ['admin', 'editorInChief', 'author', 'handlingEditor', 'author'],
      editorInChief: ['handlingEditor'],
      handlingEditor: ['reviewer'],
      author: ['author'],
    },
  },
  statuses: {
    draft: {
      public: 'Draft',
      private: 'Draft',
    },
    submitted: {
      public: 'Submitted',
      private: 'Submitted',
    },
    heInvited: {
      public: 'Submitted',
      private: 'HE Invited',
    },
    heAssigned: {
      public: 'HE Assigned',
      private: 'HE Assigned',
    },
    reviewersInvited: {
      public: 'Reviewers Invited',
      private: 'Reviewers Invited',
    },
    underReview: {
      public: 'Under Review',
      private: 'Under Review',
    },
  },
}
