import React from 'react'
import { get } from 'lodash'
import { Menu } from '@pubsweet/ui'
import { compose } from 'recompose'
import { connect } from 'react-redux'
import { withRouter } from 'react-router-dom'
import { selectFragments } from 'xpub-selectors'

import { parseVersionOptions } from './utils'

const ManuscriptVersion = ({ project = {}, fragments = [], history, match }) =>
  !!fragments.length && (
    <Menu
      inline
      onChange={v =>
        history.push(`/projects/${project.id}/versions/${v}/details`)
      }
      options={parseVersionOptions(fragments)}
      value={get(match, 'params.version')}
    />
  )

export default compose(
  withRouter,
  connect((state, { project }) => ({
    fragments: selectFragments(state, get(project, 'fragments') || []),
  })),
)(ManuscriptVersion)
