const helpers = require('../../helpers/helpers')
const teamHelper = require('../../helpers/Team')

module.exports = models => async (req, res) => {
  // TO DO: add authsome
  const { collectionId } = req.params
  try {
    const collection = await models.Collection.find(collectionId)
    if (collection.authors === undefined) {
      return res.status(200).json([])
    }
    const members = await teamHelper.getTeamMembersByCollection(
      collectionId,
      'author',
      models.Team,
    )

    if (members === undefined) {
      res.status(400).json({
        error: 'The requested collection does not have an author Team',
      })
      return
    }
    const membersData = members.map(async member => {
      const user = await models.User.find(member)
      const matchingAuthor = collection.authors.find(
        author => author.userId === user.id,
      )
      return {
        ...user,
        isSubmitting: matchingAuthor.isSubmitting,
        isCorresponding: matchingAuthor.isCorresponding,
      }
    })

    const resBody = await Promise.all(membersData)
    res.status(200).json(resBody)
  } catch (e) {
    const notFoundError = await helpers.handleNotFoundError(e, 'collection')
    return res.status(notFoundError.status).json({
      error: notFoundError.message,
    })
  }
}
